package com.gic.finance.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.dao.mapper.TabTransferAccountsApprovalMapper;
import com.gic.finance.dto.TransferAccountsApprovalDTO;
import com.gic.finance.entity.TabTransferAccountsApproval;
import com.gic.finance.service.TransferAccountsApprovalService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;

/**
 * @author $user$
 * @ClassName: $ClassName$
 * @Description: $desc$
 * @date $date$ $time$
 */
@Service("transferAccountsApprovalService")
public class TransferAccountsApprovalServiceImpl implements TransferAccountsApprovalService{
    @Autowired
    private TabTransferAccountsApprovalMapper tabTransferAccountsApprovalMapper;
    @Override
    public int initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO) {
        TabTransferAccountsApproval transfer = EntityUtil.changeEntityNew(TabTransferAccountsApproval.class, transferAccountsApprovalDTO);
        tabTransferAccountsApprovalMapper.insertSelective(transfer);
        return 1;
    }

    @Override
    public TabTransferAccountsApproval getById(Integer transferApprovalId) {
        return tabTransferAccountsApprovalMapper.selectByPrimaryKey(transferApprovalId);
    }

    @Override
    public void updateTransferAccountsApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO) {
        transferAccountsApprovalDTO.setUpdateTime(new Date());
        TabTransferAccountsApproval transfer = EntityUtil.changeEntityNew(TabTransferAccountsApproval.class, transferAccountsApprovalDTO);
        tabTransferAccountsApprovalMapper.updateByPrimaryKeySelective(transfer);
    }

    @Override
    public Page<TransferAccountsApprovalDTO> listTransferAccountsApproval(String search, Integer approvalStatus, Integer enterpriseId, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return null;
    }
}
