package com.gic.finance.web.utils;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.finance.exception.FinanceException;
/**
 * controller统一返回工具类
 * @ClassName: ResultControllerUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:12 PM 
 */
public class ResultControllerUtils {

    /**
     * 统一返回成功结果
     * @Title: commonResult 
     * @Description:
      * @author guojuxing
     * @param response 
     * @return  java.lang.Object 
      */
    public static RestResponse commonResult(ServiceResponse response) {
        if (response.isSuccess()) {
            return RestResponse.success(response.getResult());
        } else {
            throw new FinanceException(response);
        }
    }
}
