package com.gic.finance.service;

import com.gic.finance.dto.TransferAccountsApprovalDTO;
import com.gic.finance.entity.TabTransferAccountsApproval;
import com.github.pagehelper.Page;

/**
 * 转账审批
 * @author $user$
 * @ClassName: $ClassName$
 * @Description: $desc$
 * @date $date$ $time$
 */
public interface TransferAccountsApprovalService {
    /**
     * 发起审批
     * @param transferAccountsApprovalDTO
     * @return
     */
    int initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    /**
     * 主键查询
     * @param transferApprovalId
     * @return
     */
    TabTransferAccountsApproval getById(Integer transferApprovalId);

    void updateTransferAccountsApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    Page<TransferAccountsApprovalDTO> listTransferAccountsApproval(String search, Integer approvalStatus,
                                                                       Integer enterpriseId,
                                                                       Integer pageNum, Integer pageSize);

}
